## org.apache.html.dom
Class NameNodeListImpl

    java.lang.Object
      |
      +--org.apache.xerces.dom.DeepNodeListImpl
            |
            +--org.apache.html.dom.NameNodeListImpl

public class NameNodeListImpl
extends DeepNodeListImpl
implements NodeList

This class implements the DOM's NodeList behavior for HTMLDocuemnt.getElementsByName().

Since:
  PR-DOM-Level-1-19980818.
Version:
See Also:
  `DeepNodeListImpl`

Fields inherited from class org.apache.xerces.dom.DeepNodeListImpl
`changes, enableNS, nodes, nsName, rootNode, tagName`

Constructor Summary
`NameNodeListImpl(NodeImpl rootNode, java.lang.String tagName)` Constructor.

Method Summary
`protected Node` `nextMatchingElementAfter(Node current)` Iterative tree-walker.

Methods inherited from class org.apache.xerces.dom.DeepNodeListImpl
`getLength, item`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NameNodeListImpl

    public NameNodeListImpl(NodeImpl rootNode,
                            java.lang.String tagName)

  Constructor.

Method Detail

### nextMatchingElementAfter

    protected Node nextMatchingElementAfter(Node current)

  Iterative tree-walker. When you have a Parent link, there's often no need to resort to recursion. NOTE THAT only Element nodes are matched since we're specifically supporting getElementsByTagName().
  Overrides:
    nextMatchingElementAfter in class DeepNodeListImpl

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.